Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Interface RoleCheckPolicy

All Known Implementing Classes:
  StrictRoleCheckPolicy

    public interface RoleCheckPolicy

Method Summary
`boolean` | `checkRole(String roleName, Principal runAsRole, Group roles)` Check if a role is either a runAsRole or in a set of roles

Method Detail

### checkRole

    boolean checkRole(String roleName,
                      Principal runAsRole,
                      Group roles)

  Check if a role is either a runAsRole or in a set of roles

  Parameters:
    `roleName` - the role to check
    `runAsRole` - a pushed role (can be null)
    `roles` - a Group whose Principals are role names
  Returns:
    `true` if `role` equals `runAsRole` or is a member of `roles`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.